Page MenuHomePhabricator

Newsletter cleanup
Closed, ResolvedPublic

Description

EchoNewsletterUserLocator:

  • return User[]|array mismatch with return UserArray::newFromIDs( $newsletter->getSubscribers() );

NewsletterDeletionUpdate

  • $store->deleteNewsletter( $this->newsletter ); missing reason parameter
  • getSubscribersFromID return type mismatch

NewsletterTablePager

  • IDatabase hint used for $mDB, but no tableName method on iDatabase

SpecialNewsletters

  • $filterForm->setSubmitId case mismatch on function

NewsletterEditPage

  • createNew should be explicitly defined as a member variable

NewsletterStore

  • getDefaultInstance should have return docs
  • getSubscribersFromID return type mismatch with docs

Event Timeline

Reedy created this task.Dec 21 2016, 9:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 21 2016, 9:03 PM
Qgil added a subscriber: Qgil.Dec 22 2016, 8:58 AM

Wow, thank you very much @Reedy !

Reedy added a subscriber: Devirk.Dec 28 2016, 11:41 AM

FYI @Devirk You don't have to create tasks for each individual one

You can put multiple commits against this bug if you want

Filip updated the task description. (Show Details)Dec 30 2016, 2:37 PM
Filip updated the task description. (Show Details)

Change 329680 had a related patch set uploaded (by Filip):
Newsletter cleanup

https://gerrit.wikimedia.org/r/329680

Impoted Newsletter cleanup 1/2 [NewsletterEditPage, NewsletterStore] as https://codein.withgoogle.com/dashboard/tasks/5454349838843904/ waiting for admins to approve!

Florian moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-In-2016 board.
Florian added a subscriber: Florian.

ANd published! :D

Change 329680 merged by jenkins-bot:
Newsletter cleanup

https://gerrit.wikimedia.org/r/329680

Filip updated the task description. (Show Details)Dec 30 2016, 9:49 PM

The part 2/2 was already imported as https://codein.withgoogle.com/dashboard/task-instances/4517194148872192/

I missed this, and created a duplicate https://codein.withgoogle.com/dashboard/tasks/5558805590966272/ -- GCI admins, can you delete this one ?

@MtDu please mark the ones you have completed in the task description as well, and resolve this thing!

MtDu closed this task as Resolved.Dec 30 2016, 11:23 PM
MtDu removed a project: Patch-For-Review.
MtDu updated the task description. (Show Details)

All errors have been fixed. Hence closing as resolved!
Thanks!

Qgil awarded a token.Jan 3 2017, 10:22 PM